Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
rewards
/
gifts
/
{gift_id}
Retrieves a gift.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/gifts/{gift_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/gifts/{gift_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/gifts/{gift_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "amount": -23.68,
  "id": "e2c32b4b-de61-459b-accf-a75f76247946",
  "name": "<string>",
  "_current_status": "<string>",
  "created_at": "2019-01-31T15:16:15.523309+00:00",
  "executed_at": "2019-01-31T12:00:00+00:00",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

gift_id
string<uuid>
required

Unique ID of the special gift reward.

Response

OK

amount
number
required
read-only

Amount of the transaction

Example:

-23.68

id
string<uuid>
required
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

name
string
required
read-only

Name of the object

_current_status
string
read-only
  • PENDING_VALIDATION: The reward is pending the validation from the merchant.
  • VALIDATED: The reward is now validated and waits for payment from the merchant.
  • PAID_IN: The reward has been paid by the merchant.
  • PAID_OUT: The reward has been paid to the consumer.
  • CANCELLED: Cancelled by the merchant or by a technical action.
  • ERROR: Technical error. Please contact PayLead.
created_at
string<date-time>
read-only

Object creation datetime

Example:

"2019-01-31T15:16:15.523309+00:00"

executed_at
string<date-time>
read-only

Execution date of the transaction

Example:

"2019-01-31T12:00:00+00:00"

status
string
read-only
  • PENDING_VALIDATION: The reward is pending the validation from the merchant.
  • VALIDATED: The reward is now validated and waits for payment from the merchant.
  • PAID_IN: The reward has been paid by the merchant.
  • PAID_OUT: The reward has been paid to the consumer.
  • CANCELLED: Cancelled by the merchant or by a technical action.
  • ERROR: Technical error. Please contact PayLead.